Index: plugins/sfInstallPlugin/modules/sfInstallPlugin/actions/checkHtaccessAction.class.php
===================================================================
--- plugins/sfInstallPlugin/modules/sfInstallPlugin/actions/checkHtaccessAction.class.php	(revision 6935)
+++ plugins/sfInstallPlugin/modules/sfInstallPlugin/actions/checkHtaccessAction.class.php	(working copy)
@@ -7,5 +7,12 @@
 {
   public function execute($request)
   {
+    $this->htaccess = sfInstall::checkHtaccess();
+    $this->settingsYml = sfInstall::checkSettingsYml(count($htaccess) < 1);
+
+    if (0 == count($this->htaccess) && 0 == count($this->settingsYml))
+    {
+      return sfView::NONE;
+    }
   }
-}
+}
\ No newline at end of file
Index: plugins/sfInstallPlugin/modules/sfInstallPlugin/templates/checkSystemSuccess.php
===================================================================
--- plugins/sfInstallPlugin/modules/sfInstallPlugin/templates/checkSystemSuccess.php	(revision 6935)
+++ plugins/sfInstallPlugin/modules/sfInstallPlugin/templates/checkSystemSuccess.php	(working copy)
@@ -6,7 +6,7 @@
 <?php use_javascript('/plugins/sfDrupalPlugin/vendor/drupal/misc/progress') ?>
 <?php $checkHtaccessUrl = json_encode(url_for(array('module' => 'sfInstallPlugin', 'action' =>  'checkHtaccess'))) ?>
 <?php echo javascript_tag(<<<EOF
-progress = new Drupal.progressBar('checkSystem');
+var progress = new Drupal.progressBar('checkSystem');
 progress.setProgress(-1, 'Check system');
 jQuery('#progress').append(progress.element);
 progress.setProgress(0, 'Check .htaccess');
Index: plugins/sfInstallPlugin/modules/sfInstallPlugin/templates/checkHtaccessSuccess.php
===================================================================
--- plugins/sfInstallPlugin/modules/sfInstallPlugin/templates/checkHtaccessSuccess.php	(revision 6935)
+++ plugins/sfInstallPlugin/modules/sfInstallPlugin/templates/checkHtaccessSuccess.php	(working copy)
@@ -1,4 +1,3 @@
-<?php $error |= count($htaccess = sfInstall::checkHtaccess()) > 0 ?>
 <?php if (isset($htaccess['notWritable'])): ?>
   <div class="messages error">
     <p>
@@ -28,7 +27,6 @@
   </div>
 <?php endif; ?>
 
-<?php $error |= count($settingsYml = sfInstall::checkSettingsYml(count($htaccess) < 1)) > 0 ?>
 <?php if (isset($settingsYml['notWritable'])): ?>
   <div class="messages error">
     <p>
